Package Gnumed :: Package timelinelib :: Package canvas :: Module appearance :: Class Appearance |
[frames] | no frames]

# Class Appearance

source code

                     object --+
                              |
    general.observer.Observable --+
                                  |
                                 Appearance

Instance Methods
__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code
Inherited from `general.observer.Observable`: `listen_for`, `listen_for_any`, `register`, `unlisten`, `unregister` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)